import React from "react";
import {createRoot} from "react-dom/client";
import {DemoApp} from "./DemoApp";
import {createBrowserRouter} from "react-router-dom";
import {Kernel} from "../src/Application/Kernel";
import {NavTest} from "./NavTest";

// Router initialization.
const router = createBrowserRouter([
	{
		path: "/",
		element: <DemoApp />,
		children: [
			{
				path: "test",
				element: <NavTest />,
			}
		],
	}
])

document.addEventListener("DOMContentLoaded", () => {
	const demoApp = document.getElementById("demo-app");

	const root = createRoot(demoApp);

	root.render(<Kernel router={router} footer={
		<footer>
			Footer test.
		</footer>
	} />);
});
